Bug 843091 - Guvnor/Jackrabbit getting OutOfMemoryError when using a Oracle repository in Tomcat [NEEDINFO]
Guvnor/Jackrabbit getting OutOfMemoryError when using a Oracle repository in ...
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
x86_64 Windows
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 10:52 EDT by Hao Wu
Modified: 2013-04-29 23:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lpetrovi: needinfo? (hwu)


Attachments (Terms of Use)
The OutOfMemoryError stack trace. (2.85 KB, text/plain)
2012-07-25 10:52 EDT, Hao Wu
no flags Details
The context.xml containing the data source. (2.29 KB, text/plain)
2012-07-25 10:55 EDT, Hao Wu
no flags Details
The repository.xml configured to use Oracle and clustering (4.71 KB, text/plain)
2012-07-25 10:56 EDT, Hao Wu
no flags Details
The Oracle JDBC driver (1.94 MB, application/octet-stream)
2012-07-25 11:08 EDT, Hao Wu
no flags Details

  None (edit)
Description Hao Wu 2012-07-25 10:52:28 EDT
Created attachment 600316 [details]
The OutOfMemoryError stack trace.

Description of problem:

When using a Oracle DB as the backend to Jackrabbit for the repository.  I'm getting an OutOfMemoryError: Java heap space.  This is happening even when I use -Xmx1024m.


Version-Release number of selected component (if applicable):


How reproducible:

Start Guvnor in Tomcat using a Oracle database as the repository storage.  Use the attached settings.

Tomcat 6.0.32
Oracle JDBC driver 11.2.0.2

Steps to Reproduce:
1. Prep an empty database schema for the repository.
2. Edit context.xml to add the global datasource to the repository.  See attachment.
3. Edit catalina.bat to set the JAVA_OPTS to have -Xmx1024m -XX:MaxPermSize=512m.
4. Change the repository.xml to enable Oracle repository and clustering.  See attachment.
  
Actual results:
BRMS throws OutOfMemoryError while starting up, see attachment for stack trace.

Expected results:
BRMS starts up correctly.



Additional info:
Comment 1 Hao Wu 2012-07-25 10:55:14 EDT
Created attachment 600317 [details]
The context.xml containing the data source.
Comment 2 Hao Wu 2012-07-25 10:56:23 EDT
Created attachment 600318 [details]
The repository.xml configured to use Oracle and clustering
Comment 3 Hao Wu 2012-07-25 11:08:10 EDT
Created attachment 600321 [details]
The Oracle JDBC driver
Comment 5 Lukáš Petrovický 2012-10-17 04:11:26 EDT
Please confirm that this is a real issue. (See comment 4 for details.)

Note You need to log in before you can comment on or make changes to this bug.